org.apache.xerces.jaxp.validation

## Interface XSGrammarPoolContainer

-     public interface XSGrammarPoolContainer

  A container for grammar pools which only contain schema grammars.

  Version:
    $Id: XSGrammarPoolContainer.java 656098 2008-05-14 03:52:33Z mrglavas $
  Author:
    Michael Glavassevich, IBM

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getFeature(java.lang.String featureId)` Returns the initial value of a feature for validators created using this grammar pool container or null if the validators should use the default value.
    `org.apache.xerces.xni.grammars.XMLGrammarPool` | `getGrammarPool()` Returns the grammar pool contained inside the container.
    `java.lang.String` | `getXMLSchemaVersion()` Returns the version of the schema components contained in this object.
    `boolean` | `isFullyComposed()` Returns whether the schema components contained in this object can be considered to be a fully composed schema and should be used to the exclusion of other schema components which may be present elsewhere.

- - ### Method Detail

    - #### getGrammarPool

          org.apache.xerces.xni.grammars.XMLGrammarPool getGrammarPool()

      Returns the grammar pool contained inside the container.

      Returns:
        the grammar pool contained inside the container

    - #### isFullyComposed

          boolean isFullyComposed()

      Returns whether the schema components contained in this object can be considered to be a fully composed schema and should be used to the exclusion of other schema components which may be present elsewhere.

      Returns:
        whether the schema components contained in this object can be considered to be a fully composed schema

    - #### getFeature

          java.lang.Boolean getFeature(java.lang.String featureId)

      Returns the initial value of a feature for validators created using this grammar pool container or null if the validators should use the default value.

    - #### getXMLSchemaVersion

          java.lang.String getXMLSchemaVersion()

      Returns the version of the schema components contained in this object.

      Returns:
        the version of the schema components contained in this object

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.